From c05e7eaace70589546083c84ae78369c613c532d Mon Sep 17 00:00:00 2001
From: Matt Trzcinski <matt@excalamus.com>
Date: Fri, 23 Dec 2022 21:16:42 -0500
Subject: [PATCH 08/20] test-ob-shell.el: Refactor ob-shell/simple-list

* test-ob-shell.el (ob-shell/simple-list): Change test name from
`ob-shell/simple-list' to `test-ob-shell/simple-list'.
(ob-shell/simple-list): Use `test-ob-shell-multiline-string' to write
source block on multiple lines.
---
 testing/lisp/test-ob-shell.el | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/testing/lisp/test-ob-shell.el b/testing/lisp/test-ob-shell.el
index a1cacdc16..085dc694d 100644
--- a/testing/lisp/test-ob-shell.el
+++ b/testing/lisp/test-ob-shell.el
@@ -196,20 +196,27 @@ string. Bash cannot handle lists in associative arrays."
    (equal "20 cm"
           (org-trim (org-babel-execute-src-block))))))
 
-(ert-deftest ob-shell/simple-list ()
-  "Test list variables in shell."
-  ;; With bash, a list is turned into an array.
+(ert-deftest test-ob-shell/simple-list ()
+  "Test list variables."
+  ;; bash: a list is turned into an array
   (should
    (equal "2"
           (org-test-with-temp-text
-           "#+BEGIN_SRC bash :results output :var l='(1 2)\necho ${l[1]}\n#+END_SRC"
+           (test-ob-shell-multiline-string
+            "#+BEGIN_SRC bash :results output :var l='(1 2)"
+            "echo ${l[1]}"
+            "#+END_SRC")
            (org-trim (org-babel-execute-src-block)))))
-  ;; On sh, it is a string containing all values.
+
+  ;; sh: a list is a string containing all values
   (should
    (equal "1 2"
           (org-test-with-temp-text
-           "#+BEGIN_SRC sh :results output :var l='(1 2)\necho ${l}\n#+END_SRC"
-           (org-trim (org-babel-execute-src-block))))))
+              (test-ob-shell-multiline-string
+               "#+BEGIN_SRC sh :results output :var l='(1 2)"
+               "echo ${l}"
+               "#+END_SRC")
+               (org-trim (org-babel-execute-src-block))))))
 
 (ert-deftest ob-shell/remote-with-stdin-or-cmdline ()
   "Test :stdin and :cmdline with a remote directory."
-- 
2.38.1

